Package: groovy.json.internal

## [Java] Class SimpleCache<K, V>

- groovy.json.internal.SimpleCache

- All Implemented Interfaces and Traits:
    Cache

      public class SimpleCache

  Authors:
    Richard Hightower

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `SimpleCache(int limit, CacheType type)`
    `` | `def` | `SimpleCache(int limit)`
    `` | `V` | `get(K key)`
    `` | `V` | `getSilent(K key)`
    `` | `void` | `put(K key, V value)`
    `` | `void` | `remove(K key)`
    `` | `int` | `size()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public def SimpleCache(int limit, CacheType type)

    - #### public def SimpleCache(int limit)

    - #### public V get(K key)

    - #### public V getSilent(K key)

    - #### public void put(K key, V value)

    - #### public void remove(K key)

    - #### public int size()

    - #### public String toString()